---
layout: blog
week: 100
published: 2017-03-28 07:03:58
---

*Welcome to the 100th issue of this weekly news!* We hope you have been enjoying our posts and would love to [receive some feedback via our mailing list](mailto:rb-general@lists.reproducible-builds.org)!

Anyway, here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday March 19 and Saturday March 25 2017:

Reproducible Builds Hackathon Hamburg 2017
------------------------------------------

The [Reproducible Builds Hamburg Hackathon
2017](https://wiki.debian.org/ReproducibleBuilds/HamburgHackathon2017) (or
RB-HH-2017 for short) is a 3-day hacking event taking place May 5th-7th in the CCC Hamburg
Hackerspace inside Frappant, as collective art space located within a
historical monument in Hamburg, Germany. The event is open to everyone and
we still have some free seats. If you wish to attend, please register your
interest as soon as possible.


Media coverage
--------------

* Sylvain Beucler wrote an interesting article about his experiences making software reproducible called [Practical basics of reproducible builds](http://blog.beuc.net/posts/Practical_basics_of_reproducible_builds/).

* Matthew Garrett published a blog post [announcing the Shim review process](http://mjg59.dreamwidth.org/47438.html). One interesting detail in the [current recommendations](https://docs.google.com/document/d/1gHFkhMmn6VVvVQim5YcjJ8uc3xf1JHQnA9f8KSE6qqY/edit?usp=sharing) is that they expect the builds to be "bit-for-bit" reproducible assuming the same toolchain and `gnu-efi`. This currently does not extend to the randomly generated embedded certificate though they also plan to address that soon.

* Holger Levsen gave a talk at the [German Unix User Group's "Frühjahrsfachgespräch"](http://www.guug.de/veranstaltungen/ffg2017/)
  called
  [Reproducible Builds everywhere](http://www.guug.de/adm/ffg-pk/abstracts.html#4_5_2) on March 23rd. [Slides](http://reproducible.alioth.debian.org/presentations/2017-03-24-GUUG.pdf) are available.

* Vagrant Cascadian presented *Verifying Software Freedom with Reproducible Builds* at
  [Libreplanet2017](https://www.libreplanet.org/2017/) in Boston on March 25th.

* Ximin Luo, Vagrant Cascadian and Valerie Young held a workshop called *You,
  too, can write reproducible software!* at
  [Libreplanet2017](https://www.libreplanet.org/2017/) in Boston on March 25th.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

Chris Lamb:

* [#858220](https://bugs.debian.org/858220) filed against [ns2](https://tracker.debian.org/pkg/ns2).
* [#858333](https://bugs.debian.org/858333) filed against [doomsday](https://tracker.debian.org/pkg/doomsday) ([sent upstream](https://github.com/skyjake/Doomsday-Engine/pull/16))


Reviews of unreproducible packages
----------------------------------

30 package reviews have been added, 13 have been updated and 2 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Chris Lamb (2)


diffoscope development
----------------------

- Chris Lamb:
  - Fix meaningless "1234-content" metadata descriptions (Closes: [#858223](https://bugs.debian.org/858223))

- Ximin Luo:
  - [iso9660: better check instead of the hacky DOS/MBR thing](https://salsa.debian.org/reproducible-builds/diffoscope/commit/42b66ef)



buildinfo.debian.net development
--------------------------------


- Chris Lamb:
  - [Add support for Format: 1.0 (Closes: #20)](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=1942a3e)
  - [Tidy displayed architecture in filename/url](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=e9f1d02)

Misc.
-----

This week's edition was written by Chris Lamb & Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
