---
layout: blog
week: 108
published: 2017-05-23 18:05:39
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday May 14 and Saturday May 20 2017:

News and Media coverage
--------------

- We've reached 94.0% reproducible packages on `testing/amd64`! (NB. without build path variation)
- Maria Glukhova [was interviewed on It's FOSS](https://itsfoss.com/interview-with-maria-glukova/) about her involvement with Reproducible Builds with respect to [Outreachy](https://www.gnome.org/outreachy/).


IRC meeting
-----------

Our next IRC meeting [has been scheduled for Thursday June 1 at 16:00 UTC](http://lists.alioth.debian.org/pipermail/reproducible-builds/Week-of-Mon-20170522/008743.html).


Packages reviewed and fixed, bugs filed, etc.
---------------------------------------------

Bernhard M. Wiedemann:

* [boost](https://github.com/boostorg/container/pull/50)
* [pytsk](https://github.com/py4n6/pytsk/pull/29)
* [bam](https://github.com/matricks/bam/issues/111)
* [kakoune](https://github.com/mawww/kakoune/pull/1390)
* [newsbeuter](https://github.com/akrennmair/newsbeuter/pull/550)
* [trigger-rally](https://sourceforge.net/p/trigger-rally/patches/18/)
* [firebird](https://github.com/FirebirdSQL/firebird/pull/92)
* [povray](https://github.com/POV-Ray/povray/pull/296)
* [zynaddsubfx](https://sourceforge.net/p/zynaddsubfx/bugs/155/) (fixed)
* [scintilla](https://sourceforge.net/p/scintilla/bugs/1946/) (merged)
* [cryptopp](https://github.com/weidai11/cryptopp/pull/426) (merged)

Chris Lamb:

* [#862553](https://bugs.debian.org/862553) filed against [vim-command-t](https://tracker.debian.org/pkg/vim-command-t).
* [#862588](https://bugs.debian.org/862588) filed against [tkhtml1](https://tracker.debian.org/pkg/tkhtml1).
* [#862592](https://bugs.debian.org/862592) filed against [taskcoach](https://tracker.debian.org/pkg/taskcoach).
* [#862676](https://bugs.debian.org/862676) filed against [mp3fs](https://tracker.debian.org/pkg/mp3fs).
* [#862825](https://bugs.debian.org/862825) filed against [golang-github-pkg-profile](https://tracker.debian.org/pkg/golang-github-pkg-profile).
* [#863015](https://bugs.debian.org/863015) filed against [jellyfish](https://tracker.debian.org/pkg/jellyfish).
* [#863054](https://bugs.debian.org/863054) filed against [doxygen](https://tracker.debian.org/pkg/doxygen).

Reviews of unreproducible packages
----------------------------------

35 package reviews have been added, 28 have been updated and 12 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

2 issue types have been added:

- [new year\_variable\_in\_documentation\_generated\_by\_doxygen](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/4946676e)
- [jellyfish\_creates\_nondeterministic\_json](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/149f4bff)


diffoscope development
----------------------

- Mattia Rizzolo:
  - [Export JUnit-style test report when building on Jenkins](https://salsa.debian.org/reproducible-builds/diffoscope/commit/0724f01)


strip-nondeterminism development
--------------------------------

- Chris Lamb:
  - [Only print log messages by default if the file was actually modified. (Closes: #863033)](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=fef1708)


tests.reproducible-builds.org
-----------------------

Holger wrote a new systemd-based scheduling system replacing 162 constantly running Jenkins jobs which were slowing down job execution in general:

- Nothing fancy really, just 370 lines of shell code in two scripts, out of these 370 lines 80 are comments and 162 are node definitions for those 162 "jobs".
- Worker logs not yet as good as with Jenkins but usually we don't need real time log viewing of specific builds. Or rather, its a waste of time to do it. (Actual package build logs remain unchanged.)
- Builds are a lot faster for the fast archs, but not so much difference on `armhf`.
- Since April 12 for `i386` (and a week later for the rest), the images below are ordered with `i386` on top, then `amd64`, `armhf` and `arm64`. Except for `armhf` it's pretty visible when the switch was made.

[<img width="480"
src="/blog/images/stats_builds_per_day_i386_20170522.png"
/>](/blog/images/stats_builds_per_day_i386_20170522.png)

[<img width="480"
src="/blog/images/stats_builds_per_day_amd64_20170522.png"
/>](/blog/images/stats_builds_per_day_amd64_20170522.png)

[<img width="480"
src="/blog/images/stats_builds_per_day_armhf_20170522.png"
/>](/blog/images/stats_builds_per_day_armhf_20170522.png)

[<img width="480"
src="/blog/images/stats_builds_per_day_arm64_20170522.png"
/>](/blog/images/stats_builds_per_day_arm64_20170522.png)

Misc.
-----

This week's edition was written by Chris Lamb, Holver Levsen, Bernhard M. Wiedemann, Vagrant Cascadian and Maria Glukhova & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
