---
layout: blog
week: 111
published: 2017-06-13 20:06:40
---

Here's what happened in the [Reproducible
Builds](https://reproducible-builds.org) effort between Sunday June 4 and
Saturday June 10 2017:


Past and upcoming events
------------------------

On June 10th, Chris Lamb presented at the [Hong Kong Open Source Conference
2017](http://hkoscon.org/2017/) on reproducible builds.


Patches and bugs filed
----------------------

* Chris Lamb: [#864082](https://bugs.debian.org/864082) filed against [fontconfig](https://tracker.debian.org/pkg/fontconfig), forwarded
  [upstream](https://lists.freedesktop.org/archives/fontconfig/2017-June/005948.html)


Reviews of unreproducible packages
----------------------------------

7 package reviews have been added, 10 have been updated and 14 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (4)
 - Chris Lamb (1)
 - Christoph Biedl (1)
 - Niko Tyni (1)

Two FTBFS issues of LEDE (exposed in our setup) were found and were fixed:

 * [build: ensure that flock is available for make download](https://git.lede-project.org/?p=source.git;a=commit;h=737b063cc2e562485e624cda0fb42fb47f1b90c7) (Felix Fietkau)
 * [include/toplevel: set env GIT_ASKPASS=/bin/true](https://git.lede-project.org/?p=source.git;a=commit;h=acc5ab6b920f1f996c0b65c4fbbcab89e754d494) (Alexander 'lynxis' Couzens)


diffoscope development
----------------------

- Chris Lamb: Some code style improvements


tests.reproducible-builds.org:
------------------------------

Alexander 'lynxis' Couzens [made some
changes](https://anonscm.debian.org/git/qa/jenkins.debian.net.git) for testing
LEDE and OpenWrt:

 - Build tar before downloading everything: On system without `tar --sort=name` we need to compile tar before downloading everything
 - Set `CONFIG_AUTOREMOVE` to reduce required space
 - Create a workaround for signing keys:
    LEDE signs the release with a signing key, but generates the signing key if it's not
    present. To have a reproducible release we need to take care of signing keys.
 - `openwrt_get_banner()`: use `staging_dir` instead of `build_dir` because the former is persistent among the two builds.
 - Don't build all packages to improve development speed for now.
 - Only build one board instead of all boards. Reducing the build time improves developing speed. Once the image is reproducible we will enable more boards.
 - Disable `node_cleanup_tmpdirs`

Hans-Christoph Steiner, for testing F-Droid:

 - Do full `git reset/clean` like Jenkins does
 - hard code `WORKSPACE` dir names, as WORKSPACE cannot be generated from `$0` as it's a temporary name.

Daniel Shahaf, for testing Debian:

 - Remote scheduler:
    - English fix to error message.
    - Allow multiple architectures in one invocation.
    - Refactor: Break out a helper function. Rename variable to disambiguate with `scheduling_args.message`.
 - Include timestamps in logs
 - Set timestamps to second resolution (was millisecond by default).

Holger 'h01ger' Levsen, for testing Debian:

 - Improvements to the [breakages](https://tests.reproducible-builds.org/debian/index_breakages.html) page:
   - List broken packages and diffoscope problems first, and t.r-b.o problems last.
   - Reword, drop 'caused by'.
 - Add niceness to our [list of variations](https://tests.reproducible-builds.org/debian/index_variations.html), running with niceness of 11 for the first build and niceness of 10 for the second one. [Thanks to Vagrant for the idea.](https://bugs.debian.org/863440)
 - Automatic scheduler:
   - Reschedule after 12h packages that failed with error 404
   - Run scheduler every 3h instead of every 6h
 - Add basic [README about the infrastructure](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/tree/README.infrastructure) and merge Vagrants notes about his console host.


Misc.
-----

This week's edition was written by Ximin Luo, Chris Lamb and Holger Levsen &
reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
