---
layout: blog
week: 117
published: 2017-07-25 17:07:00
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday July 16 and Saturday July 22 2017:


Toolchain development
---------------------

Bernhard M. Wiedemann [wrote a
tool](https://lists.reproducible-builds.org/pipermail/rb-general/2017-July/000571.html)
to automatically run through different sources of non-determinism, and report
which of these caused unreproducibility.

Dan Kegel's patches to fpm were [merged](https://github.com/jordansissel/fpm/commit/14c4819e41c55072830da2cc37e4b1442b178e57).


Bugs filed
----------

Patches submitted upstream:

* Bernhard M. Wiedemann:
  * Sort file lists:
    * [eric5](http://die-offenbachs.homelinux.org:48888/hg/eric/rev/12d917813110) merged
    * [libsass-python](https://github.com/dahlia/libsass-python/pull/212) merged
    * [tcl](https://core.tcl.tk/tcl/tktview/fb2208172c671f29d60e9ac928d9ded45d01d8b8) merged
    * [python3.6](https://bugzilla.opensuse.org/show_bug.cgi?id=1049186) in progress
    * [drbd](http://lists.linbit.com/pipermail/drbd-dev/2017-July/004105.html)
    * [blobwars](https://sourceforge.net/p/blobwars/patches/8/)
  * Instead of fixing ordering issues in a custom .pak archive (same as blobwars above), we allow to install individual data files to avoid the issue:
    * [edgar](https://github.com/riksweeney/edgar/pull/23) avoid sort
  * Omit the build date entirely:
    * [fence-agents](https://github.com/ClusterLabs/fence-agents/pull/130)
  * `SOURCE_DATE_EPOCH` support:
    * [criu](https://lists.openvz.org/pipermail/criu/2017-July/038900.html), merged
    * [dapl](http://git.openfabrics.org/?p=~ardavis/dapl.git;a=commitdiff;h=f1e05b7adcee629ee7c1d4d86ea55344d9309232), merged
    * [shorewall](https://sourceforge.net/p/shorewall/mailman/shorewall-devel/?viewmonth=201707), merged
    * [youtube-dl](https://github.com/rg3/youtube-dl/pull/13669) in progress
    * [automake](http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27773)
    * [crosstool-ng](https://github.com/crosstool-ng/crosstool-ng/pull/784)
    * [docker](https://github.com/moby/moby/pull/34176)
    * [drbd](http://lists.linbit.com/pipermail/drbd-dev/2017-July/004118.html)
    * [drbd-utils](http://lists.linbit.com/pipermail/drbd-dev/2017-July/004123.html)
    * [getdp](http://gitlab.onelab.info/getdp/getdp/issues/40)
    * [infinipath-psm](https://github.com/01org/psm/pull/16)
    * [opa-fm](https://github.com/01org/opa-fm/pull/9)
    * [opa-psm2](https://github.com/01org/opa-psm2/pull/16)
    * [texinfo](http://lists.gnu.org/archive/html/bug-texinfo/2017-07/msg00037.html)
  * [geany/glfw](https://bugzilla.opensuse.org/show_bug.cgi?id=1049382) unknown

Patches filed in Debian:

* Adrian Bunk:
  * [#868599](https://bugs.debian.org/868599) filed against [ocaml-curses](https://tracker.debian.org/pkg/ocaml-curses).
  * [#868609](https://bugs.debian.org/868609) filed against [le](https://tracker.debian.org/pkg/le).
  * [#868612](https://bugs.debian.org/868612) filed against [mixxx](https://tracker.debian.org/pkg/mixxx).
  * [#868855](https://bugs.debian.org/868855) filed against [softhsm2](https://tracker.debian.org/pkg/softhsm2).
  * [#868858](https://bugs.debian.org/868858) filed against [gwc](https://tracker.debian.org/pkg/gwc).
  * [#869086](https://bugs.debian.org/869086) filed against [dsniff](https://tracker.debian.org/pkg/dsniff).
* Chris Lamb:
  * [#868790](https://bugs.debian.org/868790) filed against [castle-game-engine](https://tracker.debian.org/pkg/castle-game-engine), forwarded
    [upstream](https://github.com/castle-engine/castle-engine/commit/35a19832b84c396c6c5d3521e8afd50f8055d492).
  * [#868843](https://bugs.debian.org/868843) filed against [xorg-server](https://tracker.debian.org/pkg/xorg-server), forwarded
    [upstream](https://lists.x.org/pipermail/xorg-devel/2017-July/054127.html).
  * [#869516](https://bugs.debian.org/869516) filed against [libcdio](https://tracker.debian.org/pkg/libcdio).
* Drew Parsons:
  * [#868505](https://bugs.debian.org/868505) filed against [sdpa](https://tracker.debian.org/pkg/sdpa).
* Lucas Nussbaum:
  * [#868904](https://bugs.debian.org/868904) filed against [gwc](https://tracker.debian.org/pkg/gwc).
  * [#868927](https://bugs.debian.org/868927) filed against [python-pybedtools](https://tracker.debian.org/pkg/python-pybedtools).
* Sascha Steinbiss:
  * [#868772](https://bugs.debian.org/868772) filed against [ragel](https://tracker.debian.org/pkg/ragel).


Reviews of unreproducible packages
----------------------------------

73 package reviews have been added, 44 have been updated and 50 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).

No issue types were updated.


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (106)
 - Daniel Stender (1)
 - Drew Parsons (1)
 - Félix Sipma (1)
 - Lucas Nussbaum (25)


diffoscope development
----------------------

- Juliana Rodrigues:
  - Add new XML comparator. (Closes: [#866120](https://bugs.debian.org/866120))
- Guangyuan Yang:
  - Fix 2 cases in `test_device` on FreeBSD
- Chris Lamb:
  - comparators.xml: Fix EPUB "missing file" tests; they ship a `META-INF/container.xml` file.
  - comparators.sqlite: Simplify file detection in `Sqlite3Database.RE_FILE_TYPE`
  - Style and attribution fixes to XML comparator and comparators.directory
- Ximin Luo:
  - main, logging: restore old logger settings to avoid pytest vomiting in certain situations
  - comparators/directory: Fix [#868534](https://bugs.debian.org/868534) by expecting less strict test output


reprotest development
---------------------

- Ximin Luo:
  - Use autopkgtest upstream paths, makes things easier to import
  - Add script for importing autopkgtest code, and import autopkgtest 4.4

Ximin also restarted the discussion with
[autopkgtest-devel](https://lists.reproducible-builds.org/pipermail/rb-general/2017-July/000584.html)
about code reuse for reprotest.

Santiago Torres began a [series of
patches](https://lists.reproducible-builds.org/pipermail/rb-general/2017-July/000579.html)
to make reprotest more distro-agnostic, with the aim of making it usable on
Arch Linux. Ximin reviewed these patches.


Misc.
-----

This week's edition was written by Ximin Luo, Bernhard M. Wiedemann and Chris
Lamb & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing
lists.
