---
layout: blog
week: 124
published: 2017-09-13 07:09:18
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday September 3 and Saturday September 9 2017:

Media coverage
--------------

- [isdebianreproducibleyet.com](https://isdebianreproducibleyet.com) was released and subsequently updated.

GSoC and Outreachy updates
--------------------------

Debian will participate in this year's [Outreachy](https://outreachy.org) initiative and the [Reproducible Builds is soliciting mentors and students](https://wiki.debian.org/Outreachy/Round15/Projects/ReproducibleBuildsOfDebian) to join this round.

For more background please see the following mailing list posts: [1](https://lists.debian.org/debian-outreach/2017/09/msg00000.html), [2](https://lists.debian.org/debian-outreach/2017/09/msg00013.html) & [3](https://lists.alioth.debian.org/pipermail/reproducible-builds/Week-of-Mon-20170904/009209.html).

Reproduciblity work in Debian
-----------------------------

- Chris Lamb filed [#874102](https://bugs.debian.org/874102) filed against [texlive-bin](https://tracker.debian.org/pkg/texlive-bin) to incorporate a [proposed upstream change](http://tug.org/pipermail/tex-live/2017-September/040576.html) to fix reproducibility issues in generated PDF files.

In addition, the following [NMUs](https://wiki.debian.org/NonMaintainerUpload) were accepted:

* fastforward ([#776972](https://bugs.debian.org/776972)) (lamby)
* dtc-xen ([#777322](https://bugs.debian.org/777322)) (lamby)
* dhcpping ([#777320](https://bugs.debian.org/777320)) (lamby)
* vimoutliner ([#776369](https://bugs.debian.org/776369)) (lamby)

Reproduciblity work in other projects
-----------------------------

- The Linux kernel [announced support for the randstruct GCC plugin](https://outflux.net/blog/archives/2017/09/05/security-things-in-linux-v4-13/).
- "[Please make the output of gio-querymodules deterministic](https://bugzilla.gnome.org/show_bug.cgi?id=786983)" was merged upstream. (lamby)

Patches sent upstream:

- Bernhard M. Wiedemann:
  - [gcin](https://build.opensuse.org/package/view_file/M17N/gcin/gcin-reproducible.patch): (merged) Uninitialized stack memory
  - [html5-parser](https://github.com/kovidgoyal/html5-parser/pull/5) (merged): Sorting
  - [gromacs](https://gerrit.gromacs.org/6896) (merged): Date
  - [crawl](https://github.com/crawl/crawl/pull/609) (merged): Date
  - [GCompris-gtk](https://github.com/gcompris/GCompris-gtk/pull/21): Date
  - [heimdal](https://github.com/heimdal/heimdal/pull/332): Date, hostname

- Chris Lamb:
  - [Numpy](http://www.numpy.org/) ([#872459](https://bugs.debian.org/872459)) ([PR #9652](https://github.com/numpy/numpy/pull/9652)) build path (merged)

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Adrian Bunk:
  * [#874186](https://bugs.debian.org/874186) filed against [svgpp](https://tracker.debian.org/pkg/svgpp).


Reviews of unreproducible packages
----------------------------------

3 package reviews have been added, 2 have been updated and 2 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (15)

diffoscope development
----------------------

Development [continued in git](https://salsa.debian.org/reproducible-builds/diffoscope.git/log/),
including the following contributions:


- Chris Lamb:
  - [Add support for "binwalking" to find (eg.) concatenated CPIO archives.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/1c26813) (Closes: [#820631](https://bugs.debian.org/820631))
  - [Loosen matching of file(1)'s output to ensure we correctly also match TTF files under file 5.32.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/af9fe04)
  - [Check we identify all CPIO fixtures in tests](https://salsa.debian.org/reproducible-builds/diffoscope/commit/6e02ece)
  - [Make failing a some flake8 tests cause the testsuite to fail. (Currently just "undefined name")](https://salsa.debian.org/reproducible-builds/diffoscope/commit/fd06241)
  - Countless style fixups, eg. [remove unused imports](https://salsa.debian.org/reproducible-builds/diffoscope/commit/4228246), [removing blank lines from end of flies](https://salsa.debian.org/reproducible-builds/diffoscope/commit/b223a8a), etc.
  - [Compare `None` using identity, not equality.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/69359ba)
  - [diffoscope.diff: Correct reference to `self.buf`.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/b1a904a)
  - [comparators.utils.file: Correct reference to `path_apparent_size`.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/e50e50d)
- Juliana Rodrigues:
  - [Sip html\_visuals test if 'sng' binary is not available](https://salsa.debian.org/reproducible-builds/diffoscope/commit/97f074f)
- Mattia Rizzolo:
  - Numerous PEP8 fixes (eg. [E122](https://salsa.debian.org/reproducible-builds/diffoscope/commit/9ea6a95), [E302](https://salsa.debian.org/reproducible-builds/diffoscope/commit/7b7786b), [E713](https://salsa.debian.org/reproducible-builds/diffoscope/commit/2a014b5), etc.)


Mattia Rizzolo also uploaded the version 86 released last week to stretch-backports.

reprotest development
---------------------

- Santiago Torres:
  - [Correct string formatting in get\_all\_servers](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=86499b7)

- Ximin Luo:
  - [Heavy refactoring towards supporting running more than 2 builds](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=a6e50a4)
  - [Rename append\_command to append\_to\_build\_command](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=8f5b743)



tests.reproducible-builds.org
-----------------------------

- `h01ger`:
  + [Don't update the stretch package sets anymore](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=68f41865892c0758fd630991a79fde74617e87b9)
  + [Update URL for Tails packages list](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=25b7dd5c10c0707ae94e92c337924bd942116857)
  + Disabled the [OpenWrt](https://openwrt.org/) at the request of `lynxis` as they were broken; if no-one shows up to fix them, we'll probably remove them in the future, as all current development happens within [LEDE](https://lede-project.org/).
  + Renewed the [Let's Encrypt](https://letsencrypt.org/) SSL certificates.
- Mattia Rizzolo:
  + [Avoid stale temporary files from reproducible_build.sh](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=ab0508b05f65b0e254e1e9b669c11566e29ff830)
  + [Avoid removing the temporary directory twice](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=4b9909555c6be1cbcb17c109d94d37ac5e0dbc28)
  + [Fix IRC notifications when somebody asks for artifacts](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=5649bf3534145e4c6adab8482b6bd2959ea08aac)
  + [Simplify 'if' conditions](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=ad48e93bc2bb9d5984f87c24e5e30d0b58910106)


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Holger Levsen, Mattia Rizzolo & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
