---
layout: blog
week: 144
published: 2018-01-30 18:01:17
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday January 21 and Saturday January 27 2018:

Media coverage
--------------

* On Jan 24th Chris Lamb presented at [Linux.conf.au](https://www.linux.conf.au) on our [Diffoscope](https://diffoscope.org) tool.

Development and fixes in key packages
-------------------------------------

* Mattia uploaded `dpkg` (1.19.0.5.0~reproducible1) to our [experimental toolchain](https://wiki.debian.org/ReproducibleBuilds/ExperimentalToolchain).

* [cpython-3.7](https://github.com/python/cpython/pull/5200) now has `.pyc` files without timestamps. Most work happening in [PEP 552](https://www.python.org/dev/peps/pep-0552/) but older Python versions probably still need variants of [the mtime patch](https://github.com/distropatches/cpython/commits/pycrbv3) because the new `.pyc` format is not compatible.

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Adrian Bunk:
    * [#887866](https://bugs.debian.org/887866) filed against [cxref](https://tracker.debian.org/pkg/cxref).
    * [#887929](https://bugs.debian.org/887929) filed against [trigger-rally](https://tracker.debian.org/pkg/trigger-rally).
    * [#887931](https://bugs.debian.org/887931) filed against [gazebo](https://tracker.debian.org/pkg/gazebo).
    * [#887968](https://bugs.debian.org/887968) filed against [zoneminder](https://tracker.debian.org/pkg/zoneminder).
* Chris Lamb:
    * [#887987](https://bugs.debian.org/887987) filed against [zorp](https://tracker.debian.org/pkg/zorp).
    * [#887989](https://bugs.debian.org/887989) filed against [kopano-webapp](https://tracker.debian.org/pkg/kopano-webapp).
    * [#888049](https://bugs.debian.org/888049) filed against [mdds](https://tracker.debian.org/pkg/mdds).
* Bernhard M. Wiedemann:
    * [obs-build](https://github.com/openSUSE/obs-build/pull/424) (merged, sort hash randomness)
    * [gap](https://build.opensuse.org/request/show/569834) (merged, use SDE, drop config.log)
    * [brp-check-suse](https://github.com/openSUSE/brp-check-suse/pull/10) (.a file normalization)


Reviews of unreproducible packages
----------------------------------

35 package reviews have been added, 37 have been updated and 91 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (24)
 - Niels Thykier (8)


diffoscope development
----------------------

- Chris Lamb:
    - [Report differences in extended file attributes when comparing files.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/aa946c2) [#888401](https://bugs.debian.org/888401)
    - [Show extended filesystem metadata (etc.) even when directly comparing two files, not just when we specify two directories.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/59eb4bf) [#888402](https://bugs.debian.org/888402)
    - [Optionally compare JSON files using Python jsondiff module.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/1b121ea) [#888112](https://bugs.debian.org/888112)
    - [Explicitly depend on e2fsprogs.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/13fe60e) [#887180](https://bugs.debian.org/887180)
    - [Do some "fuzzy matching" to detect JSON files not named .json.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/2a758d3)
- Juliana Oliveira (parallel diffoscope work):
    - [Fix FIFO writing and parsing from stdout](https://salsa.debian.org/reproducible-builds/diffoscope/commit/632abfe)
    - [Make dill import depend on Config.parallel](https://salsa.debian.org/reproducible-builds/diffoscope/commit/ee7befe)
    - [Add STDERR\_MAX\_LINES back](https://salsa.debian.org/reproducible-builds/diffoscope/commit/09e82ee)
    - [Replace .wait() override with .returncode](https://salsa.debian.org/reproducible-builds/diffoscope/commit/7e436f3)
    - [Remove decode from stdout](https://salsa.debian.org/reproducible-builds/diffoscope/commit/0b84a43)
    - [Replace .stderr\_content with .stderr](https://salsa.debian.org/reproducible-builds/diffoscope/commit/2d469df)
- Ximin Luo:
    - [Restore the behaviour of file comparison and --exclude-directory-metadata](https://salsa.debian.org/reproducible-builds/diffoscope/commit/b4c0be0)
    - [Fix test by running compare\_root\_paths to set global defaults](https://salsa.debian.org/reproducible-builds/diffoscope/commit/9844353)
    - [Long-term fix for a shared-singleton issue](https://salsa.debian.org/reproducible-builds/diffoscope/commit/498edb5)

reproducible-website development
--------------------------------

- Holger Levsen:
    - [Correct sponsorship reference for the recent summit](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/3141df0)


jenkins.debian.net development
------------------------------

- Mattia Rizzolo:
    - [Enable stretch-bpo on the "pb7" machine](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=1615dacb)
    - [Drop a misleading comment in html\_repository\_comparison](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=cdb22d39)


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Mattia Rizzolo & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
