---
layout: blog
week: 148
published: 2018-02-27 18:02:27
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday February 18 and Saturday February 24 2018:

Logo and Outreachy/GSoC
-----------------------

 * Vagrant Cascadian [posted the minutes our recent logo IRC meeting](https://lists.reproducible-builds.org/pipermail/rb-general/2018-February/000800.html) ([notes and full logs](http://meetbot.debian.net/reproducible-builds/2018/reproducible-builds.2018-02-21-19.00.html). On Wednesday, 21st March at 19h00 UTC we will have another meeting on this.
 * Mattia Rizzolo [posted about our possible inclusion in this round of Outreachy/GSOC](https://lists.reproducible-builds.org/pipermail/rb-general/2018-February/000796.html) which will only happen if more people volunteer to mentor.

Reproducible work in other projects
-----------------------------------

There were a number of blog posts related to reproducible builds published this week:

 * Russ Cox [wrote a blog post about Golang version packaging](https://research.swtch.com/vgo-intro) with respect to enabling to reproducible builds.
 * Maria Camenzuli [posted about Reproducible Builds in Java](https://dzone.com/articles/reproducible-builds-in-java).
 * Finally, Marc Scholten wrote a blog post entiled "[You Are Most Likely Misusing Docker](https://www.mpscholten.de/docker/2016/01/27/you-are-most-likely-misusing-docker.html)" which references reproducible builds.
 * [kpcyrd discovered a regression in rustc](https://github.com/rust-lang/rust/issues/47135)

Development and fixes in Debian key packages
--------------------------------------------

Norbert Preining added calls to `dh_stripnondeterminism` to a number of [TexLive](https://www.tug.org/texlive/) packages which should let them become reproducible in Debian ([#886988](https://bugs.debian.org/886988)).

"Y2K-bug reloaded"
------------------

As part of the work on reproducible builds for openSUSE, Bernhard M. Wiedemann built packages 15 years in the future and [discovered a widespread systematic errors](https://lists.opensuse.org/opensuse-factory/2018-02/msg00911.html) in how [Perl's Time::Local](http://perldoc.perl.org/Time/Local.html) functions are used.

This affected a diverse set of software - including `git` and our `strip-nondeterminism` (via [Archive::Zip](http://search.cpan.org/~phred/Archive-Zip-1.60/lib/Archive/Zip.pm))

`grep` was run on 16,896 tarballs in openSUSE's `devel:languages:perl` project and 102 of them contained `timegm` or `timelocal` calls. Of those, over 30 were problematic and some more need to be analyzed:

 * [`perl-Test-MockTime`](https://rt.cpan.org/Public/Bug/Display.html?id=124508) FTBFS-2020
 * [`perl-TimeDate`](https://rt.cpan.org/Public/Bug/Display.html?id=124509) FTBFS-2020
 * [`perl`](https://rt.cpan.org/Public/Bug/Display.html?id=124543) ``Archive::Tar`` broken 2020 on MacOS
 * [`perl-Archive-Zip`](https://rt.cpan.org/Public/Bug/Display.html?id=124512) FTBFS and broken in 2030
 * [`perl-IO-Compress-Zlib`](https://rt.cpan.org/Public/Bug/Display.html?id=124545) broken in 2030
 * [`perl-OLE-Storage_Lite`](https://rt.cpan.org/Public/Bug/Display.html?id=124513) FTBFS-2020
 * [`perl-Parse-Win32Registry`](https://rt.cpan.org/Public/Bug/Display.html?id=124514) FTBFS-2020
 * [`perl-Math-Calc-Units`](https://rt.cpan.org/Public/Bug/Display.html?id=124521) broken in 2025
 * [`perl-Mail-IMAPClient`](https://rt.cpan.org/Public/Bug/Display.html?id=124523)
 * [`perl-Image-ExifTool`](https://rt.cpan.org/Public/Bug/Display.html?id=124524)
 * [`perl-HTTP-Message`](https://rt.cpan.org/Public/Bug/Display.html?id=124526) broken test in 2020 on MacOS
 * [`perl-HTTP-Cookies`](https://rt.cpan.org/Public/Bug/Display.html?id=124527) broken in 2020 on MacOS
 * [`perl-DateTime-Format-HTTP`](https://rt.cpan.org/Public/Bug/Display.html?id=124547) Test broken in 2020 on MacOS
 * [`perl-File-Listing`](https://rt.cpan.org/Public/Bug/Display.html?id=124528)
 * [`perl-Email-Date-Format`](https://rt.cpan.org/Public/Bug/Display.html?id=124530) rare corruption
 * [`perl-Convert-ASN1`](https://rt.cpan.org/Public/Bug/Display.html?id=124537) breakage for years < 2000
 * [`perl-Convert-BER`](https://rt.cpan.org/Public/Bug/Display.html?id=124538) breakage for years < 2000
 * [`perl-Gtk2-Ex-FormFactory`](https://rt.cpan.org/Public/Bug/Display.html?id=124546)
 * [`Logfile`](https://rt.cpan.org/Public/Bug/Display.html?id=124544)
 * [`perl-Calendar-Simple`](https://rt.cpan.org/Public/Bug/Display.html?id=124532) breakage for years < 2000
 * [`perl-Date-ICal`](https://rt.cpan.org/Public/Bug/Display.html?id=124548) breakage for years < 2000
 * [`perl-Date-Business`](https://rt.cpan.org/Public/Bug/Display.html?id=124549) breakage for years < 2000
 * [`perl-CAM-PDF`](https://rt.cpan.org/Public/Bug/Display.html?id=124550) breakage for years < 2000
 * [`perl-BioPerl`](https://rt.cpan.org/Public/Bug/Display.html?id=124552) breakage for years < 2000?
 * [`perl-Badger`](https://rt.cpan.org/Public/Bug/Display.html?id=124553)
 * [`perl-Arch`](https://rt.cpan.org/Public/Bug/Display.html?id=124554)
 * [`perl-Apache-ASP`](https://rt.cpan.org/Public/Bug/Display.html?id=124555)
 * [`perl-XML-FeedPP`](https://rt.cpan.org/Public/Bug/Display.html?id=124569)
 * [`perl-Net-FTPSSL`](https://rt.cpan.org/Public/Bug/Display.html?id=124570)
 * [`FAQ-O-Matic`](https://rt.cpan.org/Public/Bug/Display.html?id=124560)
 * [`perl cpan/libnet`](https://rt.cpan.org/Public/Bug/Display.html?id=124534) perl cpan/libnet
 * [`perl doc`](https://rt.perl.org/Ticket/Display.html?id=132897)
 * [`git`](https://www.spinics.net/lists/git/msg324220.html) - some breakage in 2020 and for dates < 2000

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Adrian Bunk:
    * [#891015](https://bugs.debian.org/891015) filed against [citadel](https://tracker.debian.org/pkg/citadel).
    * [#891151](https://bugs.debian.org/891151) filed against [dune-uggrid](https://tracker.debian.org/pkg/dune-uggrid).
    * [#891160](https://bugs.debian.org/891160) filed against [libgaminggear](https://tracker.debian.org/pkg/libgaminggear).
    * [#891222](https://bugs.debian.org/891222) filed against [libquazip](https://tracker.debian.org/pkg/libquazip).

* Chris Lamb:
    * [#890738](https://bugs.debian.org/890738) filed against [pydispatcher](https://tracker.debian.org/pkg/pydispatcher).
    * [#891050](https://bugs.debian.org/891050) filed against [gap-autpgrp](https://tracker.debian.org/pkg/gap-autpgrp).
    * [#891073](https://bugs.debian.org/891073) filed against [clblas](https://tracker.debian.org/pkg/clblas).
    * [#891075](https://bugs.debian.org/891075) filed against [clfft](https://tracker.debian.org/pkg/clfft).
    * [#891194](https://bugs.debian.org/891194) filed against [3dldf](https://tracker.debian.org/pkg/3dldf).
    * [#891263](https://bugs.debian.org/891263) filed against [puppet](https://tracker.debian.org/pkg/puppet).
    * [#891264](https://bugs.debian.org/891264) filed against [shark](https://tracker.debian.org/pkg/shark).
    * [#891290](https://bugs.debian.org/891290) filed against [ardour](https://tracker.debian.org/pkg/ardour).

Reviews of unreproducible packages
----------------------------------

60 package reviews have been added, 32 have been updated and 30 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

Two new toolchain issue types have been added:

* [randomness\_in\_binaries\_generated\_by\_golang](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/ad69d8fe)
* [captures\_build\_path\_in\_mdb\_files](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/c7538f98)

Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (41)
 - Andreas Beckmann (1)
 - Boyuan Yang (1)

jenkins.debian.net development
------------------------------

- Mattia Rizzolo [updated the key used to sign our repository](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=75af5b41).

Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, kpcyrd, Chris Lamb, Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
