---
layout: blog
week: 173
published: 2018-08-20 20:04:14
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday August 12 and Saturday August 18 2018:

* [Christoph Berg](https://www.df7cb.de/) merged [support for reproducible builds](https://github.com/postgis/postgis/commit/873c6cba3e7f7e87b615b25c50d9c8dcede661ec) in the [PostGIS](https://postgis.net/) spatial database extensions for the [PostgreSQL](https://www.postgresql.org/) database.

* Arnout Engelen et al., continued an interesting discussion on [our mailing list](https://lists.reproducible-builds.org/listinfo/rb-general) which [compares the approaches Debian and Arch with respect to `.buildinfo` files](https://lists.reproducible-builds.org/pipermail/rb-general/2018-August/001105.html). intrigeri added a description of [the closest thing Tails has to a `.buildinfo` file](https://lists.reproducible-builds.org/pipermail/rb-general/2018-August/001122.html).

* Alexis Murzeau updated [diffoscope](https://diffoscope.org) (our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages) to [fix matching for `.deb` archive members](https://salsa.debian.org/reproducible-builds/diffoscope/commit/8b90ec1), closing Debian bug [#903565](https://bugs.debian.org/903565). In addition, Joannis Valasakis [filed an ITP](https://bugs.debian.org/906030) ([Intent To Package](https://wiki.debian.org/ITP)) bug in Debian for [fsdiff](https://github.com/kanocomputing/fsdiff), a tool to compare two filesystems which may be useful to incorporate.

* A [patch to was merged](https://reviews.llvm.org/D50559) to the [LLVM](https://llvm.org/) compiler [addressing an ordering issue in Objective-C binaries](https://bugs.llvm.org/show_bug.cgi?id=35277). It now sorts a hash that varied from [Address space layout randomization](https://en.wikipedia.org/wiki/Address_space_layout_randomization) (ASLR).

* A long-open bug in the [Gconf](https://en.wikipedia.org/wiki/GConf) configuration management system for [GNOME](https://www.gnome.org/) was [finally marked as WONTFIX](https://bugzilla.gnome.org/show_bug.cgi?id=784738#c3).

* Two package reviews were added, three were updated and 11 were removed in this week, adding to [our knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html) in Debian. A new [jekyll\_site\_time\_timestamp](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/402eafa1) toolchain issue was identified by Chris Lamb.

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Chris Lamb:

    * [jekyll](https://github.com/jekyll/jekyll/pull/7187): Use [SOURCE_DATE_EPOCH](https://reproducible-builds.org/specs/source-date-epoch/) as the value of `site.time`.

* Bernhard M. Wiedemann:

    * [benchmark](https://github.com/google/benchmark/pull/653) (fix FTBFS-j1)
    * [ffado](https://build.opensuse.org/request/show/630005) (CPU)
    * [gtk](https://gitlab.gnome.org/GNOME/gtk/merge_requests/297) (sort `readdir(2)`, for balsa font cache)
    * [ldc](https://github.com/ldc-developers/ldc/pull/2812) (drop CPU type, [random-FTBFS](https://github.com/ldc-developers/ldc/issues/2816))
    * [liquid-dsp](https://build.opensuse.org/request/show/630018) (CPU, [FTBFS-SSE2](https://github.com/jgaeddert/liquid-dsp/issues/137))
    * [nut](https://build.opensuse.org/request/show/628805) (parallelism race, sort `readdir(2)`)
    * [purple-rocketchat](https://bitbucket.org/EionRobb/purple-rocketchat/pull-requests/5/allow-to-override-build-date-with/diff) (date)
    * [rlwrap](https://github.com/hanslub42/rlwrap/pull/89) (parallelism race)
    * [upsm](https://build.opensuse.org/request/show/630019) (`convert -strip .png`)

* Nico Weber:

    * [chromium](https://chromium-review.googlesource.com/c/1167913/) (use date of last Git commit)

tests.reproducible-builds.org development
-----------------------------------------

There were a number of updates to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/), including:

* Chris Lamb:
    * [Print zero (not an empty) string when division denomination is zero](https://salsa.debian.org/qa/jenkins.debian.net/commit/c1cbac45).

* Holger Levsen:
    * [Be more verbose if some services are not running](https://salsa.debian.org/qa/jenkins.debian.net/commit/b9455665).
    * [Don't show "known-offline" nodes as problematic](https://salsa.debian.org/qa/jenkins.debian.net/commit/2e46ce82).
    * [Drop experimental `schroot` setup jobs from health overview](https://salsa.debian.org/qa/jenkins.debian.net/commit/43859de4).

Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb and Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
