---
layout: blog
week: 177
published: 2018-09-18 17:35:39
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday September 9 and Saturday September 15 2018:

* **The fourth Reproducible Builds summit will take place from December 11th → 13th 2018** at the [Mozilla Office](https://wiki.mozilla.org/Paris). in Paris, France. If you are interested in attending please register by sending an email to `holger@layer-acht.org`. More details may be found on the [associated event page](https://reproducible-builds.org/events/paris2018/).

* The [Scala](https://www.scala-lang.org/) programming language [merged a number of improvements](https://github.com/scala/scala-dev/issues/405) to make the output from its compiler more reproducible. This work is available in the [fifth milestone for the upcoming 2.13.0 release](https://github.com/scala/scala/releases/tag/v2.13.0-M5) and is intended to be [backported to the 2.12 tree](https://github.com/scala/scala/pull/7203).

* The program for [NixOS](https://nixos.org/)'s [2018 conference](https://nixcon2018.org/\#program) was published this week — NixOS's declarative package manager aims to make package management reliable and reproducible.

* The [Briar](https://briarproject.org/) secure messenger project published a blog post entitled "[Building Briar Reproducible and Why It Matters](https://blog.grobox.de/2018/building-briar-reproducible-and-why-it-matters/)".

* A [number of changes were made](https://github.com/systemd/systemd/issues/10045) to [systemd](https://www.freedesktop.org/wiki/Software/systemd/) in order that it builds reproducibly. The issues were related to the test fixtures embedding the build path.

* Johannes Schauer (`josch`) [created a merge request](https://salsa.debian.org/qa/distro-tracker/merge_requests/50) for the [Debian Package Tracker](http://tracker.debian.org/) to address that [our test framework](http://tests.reproducible-builds.org) updated an internal API.

* Chris Lamb reviewed 43 Debian packages, adding to [our knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html) as well as updating a number of issue types including [adding a note from upstream](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/d0e741c1) on the `graphviz_nondeterminstic_output` issue [via a Tweet](https://twitter.com/Graphviz/status/1039632469782396929) adding adding a new [`randomness_in_pdf2htmlex_html_output`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/1ab80af7) toolchain issue.

* There were further updates to [our website](https://reproducible-builds.org/), including Holger Levsen [adding a backdated news entry about the new logo](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/1733401).

Patches filed
-------------

* Bernhard M. Wiedemann:

    * [389-ds](https://build.opensuse.org/request/show/635208) (version update to fix FTBFS-j1)
    * [dateutils](https://github.com/hroptatyr/dateutils/pull/85) (fix FTBFS-2018-10-08)
    * [gtk4](https://build.opensuse.org/request/show/635318) (fix FTBFS-j1)
    * [mkfontscale](https://gitlab.freedesktop.org/xorg/app/mkfontscale/merge_requests/1) (sort `readdir(2)`)
    * [pycurl](https://github.com/pycurl/pycurl/issues/541) (file FTBFS-j1)
    * [python-openstacksdk](https://bugzilla.opensuse.org/show_bug.cgi?id=1107814) (FTBFS-j1 / build stuck)
    * [various python packages](https://review.openstack.org/568815) (drop `environment.pickle` files)

* Chris Lamb:

    * Debian bug [#908379](https://bugs.debian.org/908379) filed against [bro](https://tracker.debian.org/pkg/bro).
    * Debian bug [#908480](https://bugs.debian.org/908480) filed against [coinmp](https://tracker.debian.org/pkg/coinmp).
    * [gdk-pixbuf](https://bugs.debian.org/908309#22) (fixed: shared files must be identical)
    * [gtk+3.0](https://bugs.debian.org/875700#19) (merged, filesystem ordering)
    * [promise](https://github.com/then/promise/pull/148#issuecomment-416569416) (merged, use sha512 instead of random)


diffoscope development
----------------------

Chris Lamb made a large number of changes to [diffoscope](https://diffoscope.org), our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages:

* [Ensure Debian substvar generation is deterministic regardless of installed packages](https://salsa.debian.org/reproducible-builds/diffoscope/commit/889e4bf). ([#908072](https://bugs.debian.org/908072]))
* [Fix testsuite under LLVM >= 7.0](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f29fdd9). ([#908074](https://bugs.debian.org/908074]))
* [Disable binwalk's configuration for predictable results, etc](https://salsa.debian.org/reproducible-builds/diffoscope/commit/075acf2). ([#903444](https://bugs.debian.org/903444]))
* [Clarify distinction between tools and packages when generating substvars](https://salsa.debian.org/reproducible-builds/diffoscope/commit/d57dba3).
* [Don't print GPG output](https://salsa.debian.org/reproducible-builds/diffoscope/commit/3350968).
* [Ensure we return bytes objections from Command.filter to prevent LLVM tracebacks](https://salsa.debian.org/reproducible-builds/diffoscope/commit/68f3bdd).

These changes were then [uploaded as diffoscope version `101`](https://tracker.debian.org/news/987527/accepted-diffoscope-101-source-all-into-unstable/).


Test framework development
--------------------------

There were a number of updates to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/) by Holger Levsen this week, including:

* [Use `amd64` kernels on all `i386` nodes](https://salsa.debian.org/qa/jenkins.debian.net/commit/0fef9342). ([#875990](https://bugs.debian.org/875990))
* [Prevent failures if artifacts cannot be deleted](https://salsa.debian.org/qa/jenkins.debian.net/commit/45238c46).
* Detect build failures due to [invalid characters in package relations](https://salsa.debian.org/qa/jenkins.debian.net/commit/f0ebaa44), [download problems](https://salsa.debian.org/qa/jenkins.debian.net/commit/051e3667), [Git problems](https://salsa.debian.org/qa/jenkins.debian.net/commit/c05dbbda), etc.
* [Stop complaining about wrong MTU on IRC](https://salsa.debian.org/qa/jenkins.debian.net/commit/40f79b5b).
* Update the [build variation documentation](https://tests.reproducible-builds.org/debian/index_variations.html) to reflect [we're currently doing fewer kernel variation tests](https://salsa.debian.org/qa/jenkins.debian.net/commit/4bb73336).
* [Force `amd64` kernel installation on the `i386` architecture](https://salsa.debian.org/qa/jenkins.debian.net/commit/8a82f593).


Misc.
-----

This week's edition was written by Arnout Engelen, Bernhard M. Wiedemann, Chris Lamb, `heinrich5991`, Holger Levsen and Vagrant Cascadian & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
