---
layout: blog
week: 180
published: 2018-10-08 17:32:04
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday September 30 and Saturday October 6 2018:

* Yet another reminder that the **fourth Reproducible Builds summit will be taking place between 11th—13th December 2018** in Paris at [Mozilla](https://wiki.mozilla.org/Paris)'s offices. If you are interested in attending please send an email to `holger@layer-acht.org`. More details can also be found on the [corresponding event page](https://reproducible-builds.org/events/paris2018/) of our website.

* In addition, Mariusz Zaborski will [present a talk on reproducible builds](https://twitter.com/BSidesWarsaw/status/1047426094117339136/photo/1) on the 13th October at [Security BSides Warsaw 2018](https://securitybsides.pl/).

* Eric Myhre gave a talk titled [Path-agnostic binaries, co-installable libraries, and How To Have Nice Things](https://media.ccc.de/v/ASG2018-204-path-agnostic_binaries_co-installable_libraries_and_how_to_have_nice_things) at [All Systems Go 2018](https://all-systems-go.io/) in Berlin, Germany featuring "content addressable splays" that benefit from reproducible builds.

* Bernhard M. Wiedemann wrote [autoprovenance](https://github.com/bmwiedemann/reproducibleopensuse/blob/master/autoprovenance) to help to understand how and where unreproducible files are created. Whilst it is meant to be distribution-agnostic it currently only works with [rpmbuild-strace](https://github.com/bmwiedemann/reproducible-faketools/blob/master/bin/rpmbuild-strace) and as such is more useful for RPM-based distros.

* [Marek Marczykowski-Górecki](https://github.com/marmarek) reported on [Qubes OS](https://www.qubes-os.org/) progress on [achieving reproducible installation ISO images](https://github.com/QubesOS/qubes-installer-qubes-os/pull/26).

* Mattia Rizzolo [uploaded diffoscope version `103`](https://tracker.debian.org/news/992782/accepted-diffoscope-103-source-into-unstable/) to Debian unstable incorporating a [fix by Chris Lamb to support gnumeric 1.12.43](https://salsa.debian.org/reproducible-builds/diffoscope/commit/4758809).

* [Guillem Jover](https://www.hadrons.org/~guillem/) provided a patch to `strip-nondeterminism` to [remove some old `Date::Parse` code](https://salsa.debian.org/reproducible-builds/strip-nondeterminism/commit/d96687d) which was subsequently [uploaded to Debian unstable](https://tracker.debian.org/news/993001/accepted-strip-nondeterminism-0043-1-source-all-into-unstable/) by Chris Lamb.

* Chris Lamb reviewed 35 Debian packages. In addition, 6 were updated and 15 were removed in this week, adding to [our knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). Chris Lamb also added two issue toolchain issues ([`path_in_texi_figure_documentation`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/909c593b) & [`randomness_in_python_changelog_references`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/4182192d)) and Peter Wu [updated the documentation for cmake](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/7ad02499).

* Vagrant Cascadian gave an impromptu talk about reproducible builds at [CAT Barcamp](http://catbarcamp.org).

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Bernhard M. Wiedemann:

    * [bedtools](https://build.opensuse.org/request/show/639378) (drop environment.pickle)
    * [bowtie2](https://github.com/BenLangmead/bowtie2/pull/210) (date, hostname)
    * [dealii](https://github.com/dealii/dealii/issues/7251) (fixed, date / copyright year)
    * [gap-ace](https://github.com/gap-packages/ace/pull/16) (drop date)
    * [gdb](https://bugzilla.opensuse.org/show_bug.cgi?id=1110708) (includes testresults)
    * [gettext-runtime](https://build.opensuse.org/request/show/640333) (date)
    * [gismo](https://build.opensuse.org/request/show/639403) (CPU-detection)
    * [gpg2](https://build.opensuse.org/request/show/639831) (date from patch updating mtime)
    * [libcbor](https://github.com/PJK/libcbor/pull/72) (bug, parallelism-race)
    * [llvm/clang](https://reviews.llvm.org/D52967) (fix FTBFS-2030)
    * [obs-build](https://github.com/openSUSE/obs-build/pull/469) (disable ext2/3/4 `dir_index` to have more stable readdir)
    * [pocl](https://bugzilla.opensuse.org/show_bug.cgi?id=1110722) (CPU detection)
    * [python-pyproj](https://github.com/jswhit/pyproj/pull/142) (merged, sort python glob / `readdir(2)`)
    * [python-scipy](https://github.com/scipy/scipy/pull/9332) (merged, sort glob / `readdir(2)`)
    * [python-service_identity](https://build.opensuse.org/request/show/639411) (workaround parallelism-induced ordering issues in `sphinx-build`; found that [it is not a race condition](https://github.com/sphinx-doc/sphinx/issues/2946))
    * [vpp](https://bugzilla.opensuse.org/show_bug.cgi?id=1110294) (fixed bug: FTBFS-j1, [upstream](https://gerrit.fd.io/r/#/c/15080/))
    * [wcalc](https://build.opensuse.org/request/show/639437) (use `convert -strip`)
    * [xine-ui/xine-lib](https://bugzilla.opensuse.org/show_bug.cgi?id=1110339) (bug: filesystem ordering causes randomly missing entries)

* Chris Lamb:
    * [#910354](https://bugs.debian.org/910354) filed against [pjproject](https://tracker.debian.org/pkg/pjproject).
    * [#909936](https://bugs.debian.org/909936) filed against [python-changelog](https://tracker.debian.org/pkg/python-changelog) [(merged upstream)](https://bitbucket.org/zzzeek/changelog/pull-requests/1/please-make-the-references-reproducible)

* Marek Marczykowski-Górecki:
    * [createrepo](https://github.com/rpm-software-management/createrepo/pull/9) (timestamps in repomd.xml)
    * [lorax](https://github.com/weldr/lorax/pull/498) (multiple reproducibility issues)
    * [pungi](https://pagure.io/pungi/pull-request/1058) (merged, multiple reproducibility issues)

Test framework development
--------------------------

There were a huge number of updates to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/) by Holger Levsen this week, including:


* [Arch Linux](https://www.archlinux.org/)-specific changes:

    * [Add new page with scheduled builds](https://salsa.debian.org/qa/jenkins.debian.net/commit/e3d34065).
    * [Add new page with the recent builds from the last day](https://salsa.debian.org/qa/jenkins.debian.net/commit/e60076f2).
    * [Explain how many packages were scheduled](https://salsa.debian.org/qa/jenkins.debian.net/commit/9aa0fffe).
    * [Delete the first build's artifacts if the second build fails](https://salsa.debian.org/qa/jenkins.debian.net/commit/9913493c).
    * [Reduce the minimum date for rescheduling to 10 days](https://salsa.debian.org/qa/jenkins.debian.net/commit/399c1f90).
    * [Add comment explaining why we might delete packages that are building](https://salsa.debian.org/qa/jenkins.debian.net/commit/62f1c71e).
    * [Shorten IRC message if longer then 256 characters](https://salsa.debian.org/qa/jenkins.debian.net/commit/45f54b80).

* [Debian GNU/Linux](https://www.debian.org/)-specific changes:

    * [Make all `arm64` nodes use codethink16 as an APT proxy](https://salsa.debian.org/qa/jenkins.debian.net/commit/5192b2f5). ([#909838](https://bugs.debian.org/909838))
    * [Allow squid access from other codethink-hosted nodes](https://salsa.debian.org/qa/jenkins.debian.net/commit/d7d7dd78).
    * [Install debootstrap from `stretch-backports` on the Ubuntu nodes as debootstrap `1.0.78+nmu1ubuntu1.6` cannot install on `unstable` anymore](https://salsa.debian.org/qa/jenkins.debian.net/commit/9d0ac728).
    * [Don't show graphs with oldest `stretch` builds on performance stats page anymore](https://salsa.debian.org/qa/jenkins.debian.net/commit/f0dc2d25).
    * [Schedule more new packages](https://salsa.debian.org/qa/jenkins.debian.net/commit/e12e036a).
    * [Increase log level when running `pbuilder --create`](https://salsa.debian.org/qa/jenkins.debian.net/commit/929f5eaf).

* [OpenWrt](https://www.openwrt.org/)-specific changes:

    * Now that the projects have re-joined, merge the [LEDE](https://en.wikipedia.org/wiki/LEDE) work back in so that we only have OpenWrt tests ([1](https://salsa.debian.org/qa/jenkins.debian.net/commit/300e8fe4), [2](https://salsa.debian.org/qa/jenkins.debian.net/commit/a41ea551), [3](https://salsa.debian.org/qa/jenkins.debian.net/commit/f1aa3b37), [4](https://salsa.debian.org/qa/jenkins.debian.net/commit/e63ae263), [5](https://salsa.debian.org/qa/jenkins.debian.net/commit/725ce40c), [6](https://salsa.debian.org/qa/jenkins.debian.net/commit/0d8ad724))
    * [Create a landing page](https://salsa.debian.org/qa/jenkins.debian.net/commit/3ac5248e) at [tests.reproducible-builds.org/openwrt/](https://tests.reproducible-builds.org/openwrt/)
    * [Use upstream Git repository](https://salsa.debian.org/qa/jenkins.debian.net/commit/fa3ed5a7) (instead of *lynxis*'s fork).
    * [Document that every build is done under a `umask(2)` of `0022`](https://salsa.debian.org/qa/jenkins.debian.net/commit/2b3738a1), because this is enforced by the OpenWrt build system.
    * [Add more console output](https://salsa.debian.org/qa/jenkins.debian.net/commit/8cd3b3fc).

* Misc/generic changes:

    * [Automatically mark "sick" nodes as offline after an hour of problems, not three hours](https://salsa.debian.org/qa/jenkins.debian.net/commit/02debef2).
    * [Distinguish between automatically and manually offline nodes in health overview](https://salsa.debian.org/qa/jenkins.debian.net/commit/93c3a7ad).
    * [Update FreeBSD test system to version 11.2](https://salsa.debian.org/qa/jenkins.debian.net/commit/b376f4dc).
    * Update some timeouts, including [increasing the timeout to 24 hours](https://salsa.debian.org/qa/jenkins.debian.net/commit/323c8c95) for some longer-running jobs and [adding a timeout of 12 hours for general reproducible jobs & 15 minutes for healthcheck jobs](https://salsa.debian.org/qa/jenkins.debian.net/commit/8791c66d).
    * [Be move verbose when IRC message sending fails](https://salsa.debian.org/qa/jenkins.debian.net/commit/5614c3c3).

In addition, Alexander Couzens [added a comment regarding OpenWrt/LEDE](https://salsa.debian.org/qa/jenkins.debian.net/commit/2311bb59) which [was subsequently amended](https://salsa.debian.org/qa/jenkins.debian.net/commit/1befc910) by Holger.


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, *heinrich5991*, Holger Levsen, Marek Marczykowski-Górecki, Vagrant Cascadian & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
