---
layout: blog
week: 193
published: 2019-01-08 12:00:54
---

Happy new year from the Reproducible Builds project! Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday December 30th and Saturday January 5th:

* [Chris Lamb](https://chris-lamb.co.uk/) [created a pull request](https://github.com/shadow-maint/shadow/pull/146) against the [shadow](https://github.com/shadow-maint/shadow) tool that manages, *inter alia*, the `/etc/passwd` and `/etc/shadow` file. This is was after Johannes Schauer noticed that the `sp_lastchg` field in the latter was no longer reproducible in Debian bug [#917773](https://bugs.debian.org/917773).

* Arnout Engelen started an interesting thread [on our mailing list](https://lists.reproducible-builds.org/pipermail/rb-general/) regarding [how to share rebuilder "attestations"](https://lists.reproducible-builds.org/pipermail/rb-general/2019-January/001378.html) in the Java ecosystem.

* Chris Lamb posted a historical summary and [a request for action](https://lists.freedesktop.org/archives/fontconfig/2019-January/006420.html) to [Fontconfig](https://www.freedesktop.org/wiki/Software/fontconfig/)'s [mailing list](https://lists.freedesktop.org/archives/fontconfig/) in order that a solution may be found and included in Debian *buster*.

* Igor Dvorzhak [submitted an interesting merge request](https://salsa.debian.org/reproducible-builds/strip-nondeterminism/merge_requests/3) against `strip-nondeterminism` (our tool that post-processes files to remove known non-deterministic output) in order to parallelise the execution of the `dh_strip_nondeterminism(1)` utility and `.zip` handler. Thanks to Niels Thykier for his review so far.

* On [January 9th 2019, Chris Lamb will speak](http://actux.eu.org/2019/01/conference-sur-les-builds-reproductibles-mercredi-9-janvier-2019/) at [Université de Rennes](https://www.univ-rennes1.fr/), France on reproducible builds.

* Patches for [GNU mtools](https://www.gnu.org/software/mtools/) to ensure the [Tails](https://tails.boum.org/) USB and [Debian Installer](https://www.debian.org/devel/debian-installer/) images can be reproducible were uploaded (via the [`DELAYED`](https://ftp-master.debian.org/deferred.html) queue) to Debian unstable by Chris Lamb after following the [new packaging salvaging process](https://www.debian.org/doc/manuals/developers-reference/ch05.en.html#package-salvaging) via Debian bug [#916127](https://bugs.debian.org/916127). This additionally generated two upstream patches ([1](http://lists.gnu.org/archive/html/info-mtools/2019-01/msg00003.html), [2](http://lists.gnu.org/archive/html/info-mtools/2019-01/msg00000.html)).

* Chris Lamb updated [diffoscope](https://diffoscope.org/), our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages, expanding the padding/spacing for "N calls" in the profiling output as having 99,999+ calls to (for example) `cmp(1)` is not uncommon for [Tails](https://tails.boum.org) ISOs. [[...](https://salsa.debian.org/reproducible-builds/diffoscope/commit/21e4c1d)]

* There were a number of updates to our [reproducible-builds.org](https://reproducible-builds.org) project website this week, including:

    * Arnout Engelen and Hervé Boutemy worked together adding and updating a new "[JVM]({{ "/docs/jvm" | relative_url }})" documentation page. ([[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/573dd7f)], [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/19ec440)], [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/83c7ca0)], [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/6ba3e56)], etc.)

    * Bernhard M. Wiedemann added anchors for projects to the [projects]({{ "/who/" | relative_url }}) page. ([[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/c9a2d4f)], [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/0d26eed)])

    * Chris Lamb moved the [contribute]({{ "/contribute/" | relative_url }}) pages to the [Markdown](https://en.wikipedia.org/wiki/Markdown) format and the new page style. [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/d8bb620)]

* Chris Lamb reviewed 4 packages, but 14 were automatically updated & removed this week, adding to [our knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

## Packages reviewed and fixed, and bugs filed

* [Bernhard M. Wiedemann](https://lizards.opensuse.org/author/bmwiedemann/):
    * [courier-imap](https://build.opensuse.org/request/show/662627) (date)
    * [d-feet](https://build.opensuse.org/request/show/662511) (noarch)
    * [hamcrest+junit](https://bugzilla.opensuse.org/show_bug.cgi?id=1120493) (random order in generated code)

* Eli Schwartz:
    * [hub](https://github.com/github/hub/pull/1992) (respect [`SOURCE_DATE_EPOCH`]({{ "/docs/source-date-epoch/" | relative_url }}) in embedded manual package timestamps)
    * [hub](https://github.com/github/hub/pull/1994) (strip build path from binaries)

* Rebecca N. Palmer:
    * [node-browserify-lite](https://tracker.debian.org/pkg/node-browserify-lite) (via Debian bug [#918361](https://bugs.debian.org/918361)).

## Test framework development

There were a number of updates to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org) this week, including:

* Holger Levsen:
    * Update links to the [Tango Icon Theme](http://tango.freedesktop.org/Tango_Icon_Library) guidelines and copyright years. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/bed9679b)]
    * Node maintenance. ([[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/7f7145ce)], etc.)

* Mattia Rizzolo:
    * Set `real_year=2019` in the reproducible health check script to 2019. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/a2f2ce04)]
    * Node maintenance. ([[1](https://salsa.debian.org/qa/jenkins.debian.net/commit/ebc30a8d)], [[2](https://salsa.debian.org/qa/jenkins.debian.net/commit/b7c521fe)], etc.)

---

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb and Eli Schwartz & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
