---
layout: blog
week: 62
published: 2016-07-21 13:07:00
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between June 26th and July 2nd 2016:

Read on to find out why we're lagging some weeks behind…!

GSoC and Outreachy updates
--------------------------

- Ceridwen
  [described](https://reproducible.alioth.debian.org/blog/posts/people/ceridwen/reprotest_week5/)
  using autopkgtest code to communicate with containers and how to test the container handling.

- reprotest 0.1 has been accepted into Debian unstable, and any user
  reports, bug reports, feature requests, etc.  would be appreciated.
  This is still an alpha release, and nothing is set in stone.


Toolchain fixes
---------------

- Matthias Klose uploaded [doxygen](https://tracker.debian.org/pkg/doxygen)/1.8.11-3 to Debian unstable (closing
  [#792201](https://bugs.debian.org/792201)) with the
  [upstream patch](https://github.com/doxygen/doxygen/commit/9a2c7bbfb0c53b4532db7280e6804c7ce76d70a3)
  improving `SOURCE_DATE_EPOCH` support by using UTC as timezone when parsing the
  value.  This was the last patch we were carrying in our repository, thus this
  upload obsoletes the version in our experimental repository.
- [cmake](https://tracker.debian.org/pkg/cmake)/3.5.2-2 was uploaded by Felix Geyer, which sorts file lists obtained
  with `file(GLOB)`.
- Dmitry Shachnev uploaded [sphinx](https://tracker.debian.org/pkg/sphinx)/1.4.4-2, which fixes a timezone
  related issue when `SOURCE_DATE_EPOCH` is set.

With the doxygen upload we are now down to only 2 modified packages in our
repository: [dpkg](https://tracker.debian.org/pkg/dpkg) and [rdfind](https://tracker.debian.org/pkg/rdfind).


Weekly reports delay and the future of statistics
-------------------------------------------------

To catch up with our backlog of weekly reports we have decided to skip some of the
statistics for this week. We might publish them in a future report, or we might
switch to a format where we summarize them more (and which we can create (even) more
automatically), we'll see.

We are doing these weekly statistics because we believe it's appropriate and
useful to credit people's work and make it more visible. What do you think? We would
love to hear your thoughts on this matter! Do you read these statistics? Somewhat?

Actually, thanks to the power of [notmuch](https://tracker.debian.org/pkg/notmuch), Holger came up with what you can
see below, so what's missing for this week are the uploads fixing unreprodubilities.
Which we really would like to show for the reasons stated above and because we really
really need these uploads to happen ;-)

But then we also like to confirm the bugs are really gone, which (atm) requires manual
checking, and to look for the words "reproducible" and "deterministic"
(and spelling variations) in debian/changelogs of all uploads, to spot reproducible work
not tracked via the BTS.

And we still need to catch up on the backlog of weekly reports.

Bugs submitted with reproducible usertags
-----------------------------------------

It seems [DebCamp in Cape Town](https://debconf16.debconf.org/) was hugely successful and made some people get a lot of work done:

61 bugs have been filed with reproducible builds usertags and 60 of them had patches:

 * [#829365](https://bugs.debian.org/829365) against [pdl](https://tracker.debian.org/pkg/pdl) by Reiner Herrmann: please make the build reproducible.
 * [#829362](https://bugs.debian.org/829362) against [ruby-ronn](https://tracker.debian.org/pkg/ruby-ronn) by Chris Lamb: please make the output reproducible.
 * [#829357](https://bugs.debian.org/829357) against [ctop](https://tracker.debian.org/pkg/ctop) by Chris Lamb: please make the build reproducible.
 * [#829325](https://bugs.debian.org/829325) against [txt2tags](https://tracker.debian.org/pkg/txt2tags) by Chris Lamb: please make the output reproducible.
 * [#829323](https://bugs.debian.org/829323) against [pdl](https://tracker.debian.org/pkg/pdl) by Reiner Herrmann: please generated sorted output.
 * [#829322](https://bugs.debian.org/829322) against [libpdl-netcdf-perl](https://tracker.debian.org/pkg/libpdl-netcdf-perl) by Reiner Herrmann: please make the build reproducible.
 * [#829320](https://bugs.debian.org/829320) against [libpdl-io-hdf5-perl](https://tracker.debian.org/pkg/libpdl-io-hdf5-perl) by Reiner Herrmann: please make the build reproducible.
 * [#829297](https://bugs.debian.org/829297) against [check-all-the-things](https://tracker.debian.org/pkg/check-all-the-things) by Chris Lamb: please make the build reproducible.
 * [#829296](https://bugs.debian.org/829296) against [perl](https://tracker.debian.org/pkg/perl) by Chris Lamb: please make the output of ParseXS.pm reproducible.
 * [#829295](https://bugs.debian.org/829295) against [libextutils-parsexs-perl](https://tracker.debian.org/pkg/libextutils-parsexs-perl) by Chris Lamb: please make the output reproducible.
 * [#829270](https://bugs.debian.org/829270) against [tomsfastmath](https://tracker.debian.org/pkg/tomsfastmath) by Reiner Herrmann: please make the build reproducible.
 * [#829263](https://bugs.debian.org/829263) against [libmemcached-libmemcached-perl](https://tracker.debian.org/pkg/libmemcached-libmemcached-perl) by Chris Lamb: please make the build reproducible.
 * [#829262](https://bugs.debian.org/829262) against [slashem](https://tracker.debian.org/pkg/slashem) by Reiner Herrmann: please make the build reproducible.
 * [#829261](https://bugs.debian.org/829261) against [passwordsafe](https://tracker.debian.org/pkg/passwordsafe) by Reiner Herrmann: please make the build reproducible.
 * [#829249](https://bugs.debian.org/829249) against [ncftp](https://tracker.debian.org/pkg/ncftp) by Reiner Herrmann: please make the build reproducible.
 * [#829133](https://bugs.debian.org/829133) against [icon](https://tracker.debian.org/pkg/icon) by Reiner Herrmann: please make the build reproducible.
 * [#829129](https://bugs.debian.org/829129) against [ayttm](https://tracker.debian.org/pkg/ayttm) by Reiner Herrmann: please make the build reproducible.
 * [#829011](https://bugs.debian.org/829011) against [link-grammar](https://tracker.debian.org/pkg/link-grammar) by Jeremy Bicha and Chris Lamb: please make the build reproducible.
 * [#829000](https://bugs.debian.org/829000) against [fracplanet](https://tracker.debian.org/pkg/fracplanet) by Reiner Herrmann: please make the build reproducible.
 * [#828994](https://bugs.debian.org/828994) against [syncthing](https://tracker.debian.org/pkg/syncthing) by Dhole: please make the build reproducible.
 * [#828993](https://bugs.debian.org/828993) against [openttd](https://tracker.debian.org/pkg/openttd) by Reiner Herrmann: please make the build reproducible.
 * [#828989](https://bugs.debian.org/828989) against [ntp](https://tracker.debian.org/pkg/ntp) by Reiner Herrmann: please make the build reproducible.
 * [#828977](https://bugs.debian.org/828977) against [faust](https://tracker.debian.org/pkg/faust) by Reiner Herrmann: please make the build reproducible.
 * [#828971](https://bugs.debian.org/828971) against [clasp](https://tracker.debian.org/pkg/clasp) by Reiner Herrmann: please make the build reproducible.
 * [#828969](https://bugs.debian.org/828969) against [dogecoin](https://tracker.debian.org/pkg/dogecoin) by Reiner Herrmann: please make the build reproducible.
 * [#828909](https://bugs.debian.org/828909) against [qtruby](https://tracker.debian.org/pkg/qtruby) by Reiner Herrmann: please make the build reproducible.
 * [#828906](https://bugs.debian.org/828906) against [mailfilter](https://tracker.debian.org/pkg/mailfilter) by Reiner Herrmann: please make the build reproducible.
 * [#828898](https://bugs.debian.org/828898) against [lordsawar](https://tracker.debian.org/pkg/lordsawar) by Reiner Herrmann: please make the build reproducible.
 * [#828891](https://bugs.debian.org/828891) against [bbdb](https://tracker.debian.org/pkg/bbdb) by Reiner Herrmann: please make the build reproducible.
 * [#828890](https://bugs.debian.org/828890) against [libsdl2-gfx](https://tracker.debian.org/pkg/libsdl2-gfx) by Reiner Herrmann: please make the build reproducible.
 * [#828888](https://bugs.debian.org/828888) against [aspell-en](https://tracker.debian.org/pkg/aspell-en) by Reiner Herrmann: please make the build reproducible.
 * [#828876](https://bugs.debian.org/828876) against [ario](https://tracker.debian.org/pkg/ario) by Reiner Herrmann: please make the build reproducible.
 * [#828867](https://bugs.debian.org/828867) against [zephyr](https://tracker.debian.org/pkg/zephyr) by Reiner Herrmann: please make the build reproducible.
 * [#828856](https://bugs.debian.org/828856) against [lrzsz](https://tracker.debian.org/pkg/lrzsz) by Reiner Herrmann: please make the build reproducible.
 * [#828855](https://bugs.debian.org/828855) against [wmweather](https://tracker.debian.org/pkg/wmweather) by Reiner Herrmann: please make the build reproducible.
 * [#828852](https://bugs.debian.org/828852) against [moblin-icon-theme](https://tracker.debian.org/pkg/moblin-icon-theme) by Reiner Herrmann: please make the build reproducible.
 * [#828810](https://bugs.debian.org/828810) against [fakeroot](https://tracker.debian.org/pkg/fakeroot) by Juan Picca: [PATCH] Make the build reproducible.
 * [#828793](https://bugs.debian.org/828793) against [minicom](https://tracker.debian.org/pkg/minicom) by Reiner Herrmann: please make the build reproducible.
 * [#828791](https://bugs.debian.org/828791) against [fio](https://tracker.debian.org/pkg/fio) by Reiner Herrmann: please make the build reproducible.
 * [#828790](https://bugs.debian.org/828790) against [debiandoc-sgml-doc](https://tracker.debian.org/pkg/debiandoc-sgml-doc) by Dhole: please make the build reproducible.
 * [#828788](https://bugs.debian.org/828788) against [pyparted](https://tracker.debian.org/pkg/pyparted) by Reiner Herrmann: please make the build reproducible.
 * [#828786](https://bugs.debian.org/828786) against [tcptraceroute](https://tracker.debian.org/pkg/tcptraceroute) by Reiner Herrmann: please make the build reproducible.
 * [#828780](https://bugs.debian.org/828780) against [iptraf](https://tracker.debian.org/pkg/iptraf) by Reiner Herrmann: please make the build reproducible.
 * [#828778](https://bugs.debian.org/828778) against [module-assistant](https://tracker.debian.org/pkg/module-assistant) by Reiner Herrmann: please make the build reproducible.
 * [#828766](https://bugs.debian.org/828766) against [liblucy-perl](https://tracker.debian.org/pkg/liblucy-perl) by Reiner Herrmann: please make the build reproducible.
 * [#828762](https://bugs.debian.org/828762) against [slang2](https://tracker.debian.org/pkg/slang2) by Reiner Herrmann: please make the build reproducible.
 * [#828756](https://bugs.debian.org/828756) against [python-reportlab](https://tracker.debian.org/pkg/python-reportlab) by Reiner Herrmann: please make the build reproducible.
 * [#828752](https://bugs.debian.org/828752) against [mod-dnssd](https://tracker.debian.org/pkg/mod-dnssd) by Reiner Herrmann: please make the build reproducible.
 * [#828749](https://bugs.debian.org/828749) against [telepathy-salut](https://tracker.debian.org/pkg/telepathy-salut) by Reiner Herrmann: please make the build reproducible.
 * [#828748](https://bugs.debian.org/828748) against [libphonenumber](https://tracker.debian.org/pkg/libphonenumber) by Reiner Herrmann: please make the build reproducible.
 * [#828745](https://bugs.debian.org/828745) against [directfb](https://tracker.debian.org/pkg/directfb) by Reiner Herrmann: please make the build reproducible.
 * [#828683](https://bugs.debian.org/828683) against [mc](https://tracker.debian.org/pkg/mc) by Reiner Herrmann and Yury V. Zaytsev: please make the build reproducible.
 * [#828681](https://bugs.debian.org/828681) against [keyutils](https://tracker.debian.org/pkg/keyutils) by Reiner Herrmann: please make the build reproducible.
 * [#828680](https://bugs.debian.org/828680) against [debiandoc-sgml-doc-pt-br](https://tracker.debian.org/pkg/debiandoc-sgml-doc-pt-br) by Dhole: please make the build reproducible.
 * [#828639](https://bugs.debian.org/828639) against [libmarpa-r2-perl](https://tracker.debian.org/pkg/libmarpa-r2-perl) by Reiner Herrmann: please make the build reproducible.
 * [#828636](https://bugs.debian.org/828636) against [libembperl-perl](https://tracker.debian.org/pkg/libembperl-perl) by Axel Beckert, Reiner Herrmann and gregor herrmann: please make the build reproducible.
 * [#828635](https://bugs.debian.org/828635) against [libnet-tclink-perl](https://tracker.debian.org/pkg/libnet-tclink-perl) by Reiner Herrmann: please make the build reproducible.
 * [#828628](https://bugs.debian.org/828628) against [media-player-info](https://tracker.debian.org/pkg/media-player-info) by Reiner Herrmann: please make the build reproducible.
 * [#828627](https://bugs.debian.org/828627) against [uim](https://tracker.debian.org/pkg/uim) by Alexis Bienvenüe: please make the build reproducible (locale).
 * [#828226](https://bugs.debian.org/828226) against [tiger](https://tracker.debian.org/pkg/tiger) by Alexis Bienvenüe: please make the build reproducible (environment, locale).
 * [#828222](https://bugs.debian.org/828222) against [pygoocanvas](https://tracker.debian.org/pkg/pygoocanvas) by Chris Lamb: please make the build reproducible.
 * [#828216](https://bugs.debian.org/828216) against [pyinfra](https://tracker.debian.org/pkg/pyinfra) by Daniel Stender: assertion error with timestamps.


Package reviews
---------------

437 new reviews have been added (though most of them were just linking the bug, "only" 56 new issues in packages were found), an unknown number has been been updated and 60 have been removed in this week, adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). 

4 new issue types have been found: 

 * [random_order_of_pdf_ids_generated_by_latex](https://tests.reproducible-builds.org/issues/unstable/random_order_of_pdf_ids_generated_by_latex_issue.html)
 * [unsorted_pdl_output](https://tests.reproducible-builds.org/issues/unstable/unsorted_pdl_output_issue.html)
 * [timestamps_in_output_generated_by_txt2tags](https://tests.reproducible-builds.org/issues/unstable/timestamps_in_output_generated_by_txt2tags_issue.html)
 * [random_order_in_documentation_generated_by_naturaldocs](https://tests.reproducible-builds.org/issues/unstable/random_order_in_documentation_generated_by_naturaldocs_issue.html)

Weekly QA work
--------------

98 FTBFS bugs have been reported by Chris Lamb and Santiago Vila.


diffoscope development
----------------------

- Reiner Herrmann [clarified the help text for the input arguments](https://bugs.debian.org/826894).

- [#829115](https://bugs.debian.org/829115) against [diffoscope](https://tracker.debian.org/pkg/diffoscope) by Axel Beckert and Mattia Rizzolo:: …/comparators/ps.py: TypeError: cannot use a string pattern on a bytes-like object.

strip-nondeterminism development
--------------------------------

- Chris Lamb made sure that .zhfst files are treated as ZIP files.

tests.reproducible-builds.org
-----------------------

- Mattia Rizzolo uploaded [pbuilder](https://tracker.debian.org/pkg/pbuilder)/0.225.1~bpo8+1 to jessie-backports
  and it has been installed on all build nodes.  As a consequence all armhf and
  i386 builds will be done with [eatmydata](https://tracker.debian.org/pkg/eatmydata); this will hopefully cut down
  the build time by a noticeable factor.

Misc.
-----

This week's edition was written by Mattia Rizzolo, Reiner Herrmann, Ceridwen and Holger Levsen and reviewed by a bunch of Reproducible builds folks on IRC.
