---
layout: blog
week: 155
published: 2018-04-17 08:04:54
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday April 8 and Saturday April 14 2018:

* Ricardo Wurmus announced that his paper titled "*Reproducible genomics analysis pipelines with GNU Guix*" has [entered the pre-print/preview stage](https://lists.reproducible-builds.org/pipermail/rb-general/2018-April/000861.html).

* Debian bug [#894441](https://bugs.debian.org/894441) (related to packages violating multi-arch specs due to [`SOURCE_DATE_EPOCH`](https://reproducible-builds.org/specs/source-date-epoch/)) was originally filed against `dpkg-dev`. However, it was reassigned this week to the `ftp.debian.org` meta-package via `buildd.debian.org` and finally retitled to "*binNMUs should be replaced by easy no change except `debian/changelog` uploads*".

- Chris Lamb updated the documentation for `disorderfs` (our [FUSE](https://github.com/libfuse/libfuse)-based filesystem that deliberately introduces non-determinism into filesystem metadata) adding an [example on how to properly unmount to the manual page](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=68887c3).

- [Mes](https://gitlab.com/janneke/mes) (a Scheme-based compiler for our "sister" [bootstrappable builds](http://bootstrappable.org) effort) [announced their 0.12 release](https://lists.reproducible-builds.org/pipermail/rb-general/2018-April/000847.html) on our [mailing list](https://lists.reproducible-builds.org/pipermail/rb-general/).

- 40 package reviews were added, 39 have been updated and 31 have been removed in this week, adding to our [knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). In addition, two issue types were added by Chris Lamb ([build\_path\_in\_mip\_files\_generated\_by\_irafcl](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/8c908b04) and [nondeterminism\_in\_autolex\_bin](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/d8c36f73)).

* Holger Levsen [announced a further call for votes](https://lists.reproducible-builds.org/pipermail/rb-general/2018-April/000872.html) to decide on a logo for the project which closed on Sunday 15th April (results pending). For more background information, please see the [previous meeting's minutes](https://lists.reproducible-builds.org/pipermail/rb-general/2018-March/000839.html)), [the proposals](https://demo.identihub.co/project/r-b-logo-voting/) and the [original proof-of-concept](https://wiki.debian.org/ReproducibleBuilds/Logo) artwork.


Patches filed
-------------

* Bernhard M. Wiedemann:
    * [linphone](http://lists.nongnu.org/archive/html/linphone-developers/2018-04/msg00012.html) (`readdir(2)`)
    * [python-axolotl-curve25519](https://github.com/tgalal/python-axolotl-curve25519/pull/17) (`readdir(2)`)
    * [python-nautilus](https://bugzilla.gnome.org/show_bug.cgi?id=795063) ([`SOURCE_DATE_EPOCH`](https://reproducible-builds.org/specs/source-date-epoch/))
    * [sed](https://build.opensuse.org/request/show/596431) ([profile guided optimizations](https://github.com/bmwiedemann/theunreproduciblepackage/tree/master/pgo))
    * [sphinx](https://github.com/sphinx-doc/sphinx/pull/4838) (`readdir(2)`)
    * [tuxpaint-config](https://sourceforge.net/p/tuxpaint/tuxpaint-config/merge-requests/2/) ([`SOURCE_DATE_EPOCH`](https://reproducible-builds.org/specs/source-date-epoch/))

* Chris Lamb:
    * [#895269](https://bugs.debian.org/895269) filed against [vcr.py](https://tracker.debian.org/pkg/vcr.py) ([forwarded upstream](https://github.com/kevin1024/vcrpy/pull/350)).
    * [#895270](https://bugs.debian.org/895270) filed against [python-click](https://tracker.debian.org/pkg/python-click) ([forwarded upstream](https://github.com/pallets/click/pull/963))
    * [#895401](https://bugs.debian.org/895401) filed against [libmypaint](https://tracker.debian.org/pkg/libmypaint).
    * [#895553](https://bugs.debian.org/895553) filed against [sphinx](https://tracker.debian.org/pkg/sphinx) ([forwarded upstream](https://github.com/sphinx-doc/sphinx/pull/4834))

In addition, 38 build failure bugs were reported by Adrian Bunk.

strip-nondeterminism development
--------------------------------

Version [0.041-1](https://tracker.debian.org/news/949435/accepted-strip-nondeterminism-0041-1-source-all-into-unstable/) was uploaded to unstable by Chris Lamb:

- Chris Lamb:
    - [Drop PHP "Pear" registry support](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=96f7c52).
    - [Bump Standards-Version to 4.1.4](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=b15d7a7).
- Evgueni Souleimanov:
    - [Add U-Boot Legacy Image (uImage) format support](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=ae8bd432d5d68e3ef54d825d48e9f57b2959edb4).
    - [Add bFLT executable format support](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=6cdf90c799764745af081bec6f6cd73d42a1682a).


jenkins.debian.net development
------------------------------

Mattia Rizzolo made a large number of changes to our [Jenkins](https://jenkins.io/)-based testing framework, including:

- [Ensure `sshd(8)` listens on ports reachable from the outer internet](https://salsa.debian.org/qa/jenkins.debian.net/commit/8b1c4fd8).
- [Fix check for "not for us" (NFU) packages when looking at `.buildinfo` files](https://salsa.debian.org/qa/jenkins.debian.net/commit/85c8b021).
- [Fix a bug that caused `reproducible_maintenance_amd64_jenkins` job to not be created](https://salsa.debian.org/qa/jenkins.debian.net/commit/f12535ed).
- [Duplicate the `sshd_config(5)` file for the `armhf` nodes as they need local tweaks](https://salsa.debian.org/qa/jenkins.debian.net/commit/d9379511).
- [Install the `jessie` kernel on the `i386` nodes running the 32-bit kernel to workaround #875990 & #876035](https://salsa.debian.org/qa/jenkins.debian.net/commit/12b21850).
- [Re-enable jobs on a particular ARM board](https://salsa.debian.org/qa/jenkins.debian.net/commit/e8a31252).
- [Move the repository from Alioth to salsa.debian.org](https://salsa.debian.org/qa/jenkins.debian.net/commit/0ba4a089).

Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb and Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
